package com.kmall.common.service.pay.wxpay;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-09-27
 */
@Component
public class CommonWxPayPropertiesBuilder {
    private static final Logger logger = LoggerFactory.getLogger(CommonWxPayPropertiesBuilder.class);

    @Autowired
    @Qualifier("commonWxPayProperties")
    private CommonWxPayProperties commonWxPayProperties;

    private static CommonWxPayProperties wxPayProp;

    /**
     * Bean 向静态变量赋值
     */
    @PostConstruct
    private void init(){
        logger.info("CommonWxPayProperties初始化开始......");
        wxPayProp = commonWxPayProperties;
    }

    public static CommonWxPayProperties instance(){
        logger.info("CommonWxPayProperties实例返回");
        return wxPayProp;
    }

}
